[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#657949: Cannot install libhdf5-mpi-dev and libnetcdf-dev

On Wed, Feb 01, 2012 at 07:43:31PM -0600, Steve M. Robbins wrote:
> > 
> > The solution is having upstream adopting a sane naming scheme for mpi-enabled
> > flavor libraries instead of using always the same names for all.
> Francesco, please clarify: are you speaking of the hdf5 upstream or
> the netcdf upstream?  (Both?)  

I mean first of all hdf5 upstream. Note that anyway both them use
different APIs for serial and parallel programming models. So having
the same library names for completely different things IMHO is defective by
design and confusing. As a principle we could install only mpi-enabled
libraries (the serial model and API could be anyway used) but that would imply
that people should coexist with such kind of stuff installed always, if used
or not. Also some serial-only supports could be missed and anomalies appearing 
here and there: both them are quite complicated beasts. I would avoid
to take such kind of decision without a deep analysis.

> What problem are you trying to solve with that: co-installable -dev
> packages or just coinstallable lib packages?
> > Unfortunately they were still not available for that at the time of
> > my last poking.  Diverging from upstream is not a good idea, so we
> > still have to live in a non perfect world...
> I think we can no longer live in the status quo (see all the blockers
> of #631019), so something has to give.  Even if it is painful, perhaps
> Debian could pioneer something and pass patches back to upstream?
> Thoughts?

I'm afraid it is quite difficult having such kind of proposal accepted
by upstreams. It implies changes for both them in library use, that they
could be not ready to introduce. In 2009 I asked about that in hdf-forum
without a positive answer.

Francesco P. Lovergine

Reply to: